[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomCheckBox.ShortCutKey2

Secondary shortcut key for the control.

## Declaration

Source position: stdctrls.pp line 1362

`public property TCustomCheckBox.ShortCutKey2 : TShortcut read FShortCutKey2;`

## Description

ShortCutKey2 is a TShortCut property with the secondary shortcut key or accelerator key for the control. The property value contains both the virtual key code and the shift modifier combined to form the short cut key.

The property value (along with Shortcut) is passed to the widgetset class when the WSSetText method is called.

Use the ShortCut and ShortCutToKey routines in the menu.pp unit to convert to and from virtual key codes with shift modifiers.

Remark: | ShortCutKey2 may not be implemented for all platforms supported in the LCL.